%global pypi_name distro

Name:           python3-%{pypi_name}
Version:        1.7.0
Release:        %mkrel 1
Summary:        Linux Distribution - a Linux OS platform information API
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/python-distro/distro
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%global _description \
The distro (for: Linux Distribution) package provides information about the\
Linux distribution it runs on, such as a reliable machine-readable ID, or\
version information.\
\
It is a renewed alternative implementation for Python's original\
platform.linux_distribution function, but it also provides much more\
functionality. An alternative implementation became necessary because\
Python 3.5 deprecated this function, and Python 3.7 is expected to remove it\
altogether. Its predecessor function platform.dist was already deprecated since\
Python 2.6 and is also expected to be removed in Python 3.7. Still, there are\
many cases in which access to that information is needed. See Python issue 1322\
for more information.

%description %{_description}

%package        cli
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description cli %{_description}

This package provides the %{_bindir}/distro CLI utility.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}*

%files cli
%{_bindir}/distro

%changelog
* Wed Aug 03 2022 TerryN <terryn94 at gmail.com> 1.7.0-1pclos2022
- import for python 3.10
